#!/bin/sh
#
# Copyright © 2024 Nick Bowler
#
# Fake TAP test program for testing the autotest snippets.
#
# License WTFPL2: Do What The Fuck You Want To Public License, version 2.
# This is free software: you are free to do what the fuck you want to.
# There is NO WARRANTY, to the extent permitted by law.

total=$1; shift
pass=0
seq=0

echo "1..$total"
for arg
do
  seq=`expr 1 + $seq`
  if eval "$arg" >/dev/null 2>&1; then
    echo "ok $seq"
    pass=`expr 1 + $pass`
  else
    echo "not ok $seq"
  fi
done

test $pass -eq $total
